% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/midas_functions.R
\name{MEM_loglik_no_skew}
\alias{MEM_loglik_no_skew}
\title{MEM log-likelihood (no skewness parameter)}
\usage{
MEM_loglik_no_skew(param, x)
}
\arguments{
\item{param}{Vector of starting values.}

\item{x}{Dependent variable, usually the realized volatility. It must be positive and "xts" object.}
}
\value{
The resulting vector is the log-likelihood value for each \eqn{i,t}.
}
\description{
Obtains the log-likelihood of the base MEM.
For details, see \insertCite{engle_gallo_2006;textual}{rumidas}.
}
\examples{
\donttest{
start_val<-c(alpha=0.10,beta=0.8)
real<-(rv5['/2010'])^0.5		# realized volatility
sum(MEM_loglik_no_skew(start_val,real))
}
}
\references{
\insertAllCited{}
}
\keyword{internal}
